Bug 1816160 - CVE-2020-6061 coturn: specially crafted HTTP POST request can lead to heap overflow which can result in information leak [fedora-all]
Summary: CVE-2020-6061 coturn: specially crafted HTTP POST request can lead to heap ov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coturn
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Christian Glombek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-6061
TreeView+ depends on / blocked
 
Reported: 2020-03-23 13:27 UTC by Marian Rehak
Modified: 2020-04-08 00:52 UTC (History)
2 users (show)

Fixed In Version: coturn-4.5.1.1-3.fc32 coturn-4.5.1.1-3.fc31 coturn-4.5.1.1-3.fc30 coturn-4.5.1.1-3.el8 coturn-4.5.1.1-3.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 00:17:30 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2020-03-23 13:27:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-03-23 13:28:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1816159,1816160

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-03-23 17:57:42 UTC
FEDORA-2020-6efa0fc869 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6efa0fc869

Comment 3 Fedora Update System 2020-03-23 17:58:58 UTC
FEDORA-2020-305c173af8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-305c173af8

Comment 4 Fedora Update System 2020-03-23 18:00:23 UTC
FEDORA-2020-f3fcb1608a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3fcb1608a

Comment 5 Fedora Update System 2020-03-23 18:02:12 UTC
FEDORA-EPEL-2020-913d6d1779 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-913d6d1779

Comment 6 Fedora Update System 2020-03-23 18:03:19 UTC
FEDORA-EPEL-2020-7bc15e9271 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7bc15e9271

Comment 7 Fedora Update System 2020-03-24 00:56:14 UTC
FEDORA-EPEL-2020-913d6d1779 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-913d6d1779

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-03-24 01:52:29 UTC
FEDORA-2020-6efa0fc869 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6efa0fc869`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6efa0fc869

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-03-24 09:41:12 UTC
FEDORA-2020-305c173af8 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-305c173af8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-305c173af8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-03-24 09:41:50 UTC
FEDORA-EPEL-2020-7bc15e9271 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7bc15e9271

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-03-24 10:13:21 UTC
FEDORA-2020-f3fcb1608a has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f3fcb1608a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3fcb1608a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-01 00:17:30 UTC
FEDORA-2020-6efa0fc869 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-01 01:55:15 UTC
FEDORA-2020-305c173af8 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-04-01 02:36:10 UTC
FEDORA-2020-f3fcb1608a has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-04-01 16:32:24 UTC
FEDORA-2020-6efa0fc869 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-04-08 00:35:36 UTC
FEDORA-EPEL-2020-913d6d1779 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-04-08 00:52:08 UTC
FEDORA-EPEL-2020-7bc15e9271 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.